Bug 609528 - Review Request: ghc-cairo - Haskell Cairo bindings
Review Request: ghc-cairo - Haskell Cairo bindings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
ready
:
Depends On: 609506
Blocks: ghc-pango
  Show dependency treegraph
 
Reported: 2010-06-30 10:01 EDT by Jens Petersen
Modified: 2010-11-12 10:37 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-cairo-0.11.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 22:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mathstuf: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-06-30 10:01:22 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-cairo/ghc-cairo.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-cairo/ghc-cairo-0.11.0-1.fc12.src.rpm
Description: 
Part of the gtk2hs libraries: a Cairo binding for Haskell.

http://hackage.haskell.org/package/cairo
Comment 2 Ben Boeckel 2010-09-01 01:02:10 EDT
Taken.

 +:ok, !:needs attention, -:needs fixing,  NA: not applicable

MUST Items:
[!] MUST: rpmlint output

% lintmock fedora-14-x86_64-bb
ghc-cairo.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-cairo.src: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
ghc-cairo.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-cairo.x86_64: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
ghc-cairo-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-cairo-devel.x86_64: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
ghc-cairo-prof.x86_64: E: devel-dependency ghc-cairo-devel
ghc-cairo-prof.x86_64: W: spelling-error %description -l en_US Haskell -> Gaskell, Gaitskell, Skellum
ghc-cairo-prof.x86_64: W: no-documentation
ghc-cairo-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/cairo-0.11.1/libHScairo-0.11.1_p.a
4 packages and 0 specfiles checked; 1 errors, 9 warnings.

All standard and waived

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

01056ece6c8872d30cbc0f11eef98e40  cairo-0.11.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

Requires ghc-glib which isn't in Fedora yet. Builds locally.

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's
default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Every %files section must
include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.

Yay cabal2spec. Looks good.

APPROVED.
Comment 3 Jens Petersen 2010-09-01 01:47:11 EDT
Thanks, Ben :)


New Package SCM Request
=======================
Package Name: ghc-cairo
Short Description: Haskell Cairo bindings
Owners: petersen
Branches: f14
InitialCC: haskell-sig
Comment 4 Kevin Fenzi 2010-09-01 15:30:06 EDT
Git done (by process-git-requests).
Comment 5 Jens Petersen 2010-09-01 20:47:43 EDT
Built for f15 and f14.
Comment 6 Fedora Update System 2010-09-01 21:17:57 EDT
ghc-cairo-0.11.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-cairo-0.11.1-1.fc14
Comment 7 Fedora Update System 2010-09-10 23:37:22 EDT
ghc-cairo-0.11.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jens Petersen 2010-11-12 03:19:41 EST
Package Change Request
======================
Package Name: ghc-cairo
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 9 Jens Petersen 2010-11-12 03:23:45 EST
Sorry I need f13 too:

Package Change Request
======================
Package Name: ghc-cairo
New Branches: f13 el6
Owners: petersen
InitialCC: haskell-sig
Comment 10 Kevin Fenzi 2010-11-12 10:37:50 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.